# Coil Temperature Offset Calibration

{% hint style="info" %}
This calibration is not necessary when using [Touch](/cartographer-probe/features/touch.md)
{% endhint %}

This calibration aims to optimize the temperature compensation parameters and reduce the temperature drift of the coil.

It usually takes **between one and three hours** to gather the necessary samples. It can take longer.

During this calibration, your bed will heat up and move close to the nozzle, it will stay in still until the coil has reached target temperature. The bed will then lower to a cooling position and your part cooling fan will turn on to assist in cooling the coil.

We recommend tuning the parameters to fit your printer, as that will allow the calibration to complete faster. A bed temperature of 110 or above is usually required to reach a coil temperature of 70.

{% hint style="info" %}
Your hotend cooling fan may start during this process. This may impact the ability to heat your coil.\
If possible, please adjust the trigger for the hotend cooling fan to keep it off during this calibration.

```
[heater_fan hotend_fan]
heater: extruder
heater_temp: 100
# Increase this, remember to revert!
```

{% endhint %}

Home your printer using `G28` then start the macro by executing the below, changing the parameters to fit your setup.

```
CARTOGRAPHER_TEMPERATURE_CALIBRATE MIN_TEMP=40 MAX_TEMP=<60|70> BED_TEMP=<90|110> Z_SPEED=5
```

For example the above command with a max coil temp of 70°c & a bed temp of 110°C would be formatted like the below example and used to execute the calibration.

```
CARTOGRAPHER_TEMPERATURE_CALIBRATE MIN_TEMP=40 MAX_TEMP=70 BED_TEMP=110 Z_SPEED=5
```

Wait for the calibration to complete. It will inform you that calibration is complete and that you should `SAVE_CONFIG` to save the model to your config.

{% hint style="info" %}
If you changed your `hotend_fan` configuration, remember to revert this *after* saving the calibration!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cartographer3d.com/cartographer-probe/features/coil-temperature-offset-calibration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
